Index: src/arch/unix/joy_usb.c
===================================================================
--- src/arch/unix/joy_usb.c	(revision 21861)
+++ src/arch/unix/joy_usb.c	(revision 21863)
@@ -179,15 +179,11 @@
         found = 0;
         is_joy = 0;
 #if !defined(HAVE_USBHID_H) && !defined(HAVE_LIBUSB_H) && defined(HAVE_LIBUSBHID)
-        for (d = hid_start_parse(report, id) {
-        }
+        for (d = hid_start_parse(report, id);
 #else
-        for (d = hid_start_parse(report, 1 << hid_input, id) {
-        }
+        for (d = hid_start_parse(report, 1 << hid_input, id);
 #endif
-        hid_get_item(d, &h);
-        )
-        {
+        hid_get_item(d, &h);) {
             if (h.kind == hid_collection && HID_PAGE(h.usage) == HUP_GENERIC_DESKTOP && (HID_USAGE(h.usage) == HUG_JOYSTICK || HID_USAGE(h.usage) == HUG_GAME_PAD)) {
                 is_joy = 1;
                 continue;
Index: src/arch/unix/dynlib.c
===================================================================
--- src/arch/unix/dynlib.c	(revision 21861)
+++ src/arch/unix/dynlib.c	(revision 21863)
@@ -1,69 +1,70 @@
-/*
- * dynlib.c - Unix support for dynamic library loading.
- *
- * Written by
- *  Christian Vogelgsang <chris@vogelgsang.org>
- *
- * This file is part of VICE, the Versatile Commodore Emulator.
- * See README for copyright notice.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
- *  02111-1307  USA.
- *
- */
-
-#include "dynlib.h"
-
-#ifdef HAVE_DYNLIB_SUPPORT
-
-#include <dlfcn.h>
-
-#ifndef RTLD_LOCAL
-#define RTLD_LOCAL 0
-#endif
-
-void *vice_dynlib_open(const char *name)
-{
-    return dlopen(name, RTLD_LAZY | RTLD_LOCAL);
-}
-
-void *vice_dynlib_symbol(void *handle,const char *name)
-{
-    return dlsym(handle, name);
-}
-
-int vice_dynlib_close(void *handle)
-{
-    return dlclose(handle);
-}
-
-#else
-
-void *vice_dynlib_open(const char *name)
-{
-    return NULL;
-}
-
-void *vice_dynlib_symbol(void *handle,const char *name)
-{
-    return NULL;
-}
-
-int vice_dynlib_close(void *handle)
-{
-    return -1;
-}
-
-#endif
+/*
+ * dynlib.c - Unix support for dynamic library loading.
+ *
+ * Written by
+ *  Christian Vogelgsang <chris@vogelgsang.org>
+ *
+ * This file is part of VICE, the Versatile Commodore Emulator.
+ * See README for copyright notice.
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+ *  02111-1307  USA.
+ *
+ */
+
+#include <stdlib.h>
+#include "dynlib.h"
+
+#ifdef HAVE_DYNLIB_SUPPORT
+
+#include <dlfcn.h>
+
+#ifndef RTLD_LOCAL
+#define RTLD_LOCAL 0
+#endif
+
+void *vice_dynlib_open(const char *name)
+{
+    return dlopen(name, RTLD_LAZY | RTLD_LOCAL);
+}
+
+void *vice_dynlib_symbol(void *handle,const char *name)
+{
+    return dlsym(handle, name);
+}
+
+int vice_dynlib_close(void *handle)
+{
+    return dlclose(handle);
+}
+
+#else
+
+void *vice_dynlib_open(const char *name)
+{
+    return NULL;
+}
+
+void *vice_dynlib_symbol(void *handle,const char *name)
+{
+    return NULL;
+}
+
+int vice_dynlib_close(void *handle)
+{
+    return -1;
+}
+
+#endif

